Beta Testers

Thanks for your interest in beta testing CrownYa. Once accepted, we’ll send you everything you need to get started.
Compatibility: Requires iOS 10.0 or later. Compatible with iPhone, iPad, and iPod touch.
IMPORTANT: Please check your spam/junk folder if we’re not in your address book!


Looking forward to working with you in shaping CrownYa to fit your needs. See you soon!